
| Value | Description |
|---|---|
pending | User has not successfully paid yet |
processing | User payment authorized, merchant/partner is fulfilling the order, performing service, etc. |
partially-shipped | A portion of the products in the order have been shipped by the merchant |
shipped | All the products in the order have been shipped by the merchant |
completed | The order is completed and no further action is expected from the user or the partner/merchant |
canceled | The partner/merchant would like to cancel the order_details message for the order/invoice. The status update will fail if there is already a successful or pending payment for this order_details message |
create templateUtility category to expand Order details message optiontemplate name and supported localelocales selected there will be an equal number of template variants and businesses need to fill in the template details in respective locale.Body and optional footer text and submit.ACTIVEACTIVE to PAUSED or DISABLED based on customer feedback and engagement. We recommend that you monitor status changes and take appropriate actions whenever such change occurs.
POST https://graph.facebook.com/<API_VERSION>/<WHATSAPP_BUSINESS_BUSINESS_ID>/message_templates { "name": "<TEMPLATE_NAME>", "language": "<LANGUAGE_AND_LOCALE_CODE>", "category": "UTILITY", "sub_category": "ORDER_STATUS", "components": [ { "type": "BODY", "text": "<TEMPLATE_BODY_TEXT>" }, { "type": "FOOTER", "text": "<TEMPLATE_FOOTER_TEXT>" } ] }
POST call to /<PHONE_NUMBER_ID>/messages
endpoint and attach a message object with type=template. Then, add a template object with a
order_status component and parameters with latest status on order with order reference-id.shipped status on the placed order.curl -X POST \ 'https://graph.facebook.com/<API_VERSION>/<FROM_PHONE_NUMBER_ID>/messages' \ -H 'Authorization: Bearer <ACCESS_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "messaging_product": "whatsapp", "recipient_type": "individual", "to": "<PHONE_NUMBER>", "type": "template", "template": { "name": "<TEMPLATE_NAME>", "language": { "policy": "deterministic", "code": "<LANGUAGE_AND_LOCALE_CODE>" }, "components": [ { "type": "order_status", "parameters": [{ "type": "order_status", "order_status": { "reference_id": "reference_id_value", "order": { "status": "processing | partially_shipped | shipped | completed | canceled", "description": "<OPTIONAL_DESCRIPTION>" } } }] } ] } }
order_status message with an invalid transition, you will receive an error webhook with the error code 2046 and message New order status was not correctly transitioned.order_status message with the status canceled. The customer cannot pay for an order that is canceled. The customer receives an order_status message and the order details page is updated to show that the order is canceled and the Continue button removed. The optional text shown below Order canceled on the order details page can be specified using the description field in the order_status message.2047 and message Could not change order status to 'canceled'.